Appearance
SMS Delivery Status
GET /v1/sms/status/{id}
Returns the current delivery status of a specific SMS message.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The SMS message ID returned by /v1/sms/send. |
bash
curl https://sendapi.co/v1/sms/status/32 \
-H "Authorization: Bearer sk_live_123456789"javascript
const status = await client.sms.getStatus(32);
console.log(status.status); // "delivered"python
status = client.sms.get_status(32)
print(status.status)Response
json
{
"success": true,
"data": {
"id": 32,
"recipient": "447700900000",
"status": "delivered",
"segments": 1,
"cost": "$0.0250",
"external_id": "40319d98-8ece-401e-9add-94b696939751",
"created_at": "2026-03-09T14:30:00.000000Z",
"updated_at": "2026-03-09T14:30:08.000000Z"
}
}SMS Statuses
| Status | Description |
|---|---|
queued | Accepted by SendAPI, not yet dispatched |
sent | Dispatched to carrier |
delivered | Confirmed delivery receipt from carrier |
failed | Permanent delivery failure |
rejected | Rejected by carrier (invalid number, opt-out, etc.) |
Delivery Receipts
Not all carriers provide delivery receipts. In those cases, the status will remain sent even if the message was delivered.